Upload file for a record | Parallel Developer Documentation

This is unreleased documentation for Parallel Developer Documentation Next 🚧 version.

For up-to-date documentation, see the latest version (Current – v2.x).

Version: Next 🚧

This endpoint can be used to upload a file and create a Record File entry that is associated with an individual or business record.

HTTP Request

POST https://api.parallelmarkets.com/v2/partner-records/{id}/files

Request Parameters

Parameter Type Description
file file Required File contents via multipart/form-data.
type string Required The type of document the file represents. Use Record File Types to list supported values.
other_type_name string Optional. When providing type="other", you can provide a custom type name for the file.
The value will be converted to "Title Case" before being saved.
note string Optional. Additional context or description to be included with the file. This field can be used to provide any relevant information or metadata about the file.
expires_at string Optional. ISO-8601 timestamp of when the document expires.

Sample request

curl --location --request POST 'https://api.parallelmarkets.com/v2/partner-records/{id}/files' \
--header 'Authorization: Bearer <api_key>' \
--form 'file=@